package de.zuim.Xposed_DateTimeFormat;

import android.widget.TextView;

import de.robv.android.xposed.IXposedHookLoadPackage;
import de.robv.android.xposed.XC_MethodHook;
import de.robv.android.xposed.callbacks.XC_LoadPackage;

import static de.robv.android.xposed.XposedHelpers.findAndHookMethod;


public class Main  implements IXposedHookLoadPackage
{
	@Override
	public void handleLoadPackage(XC_LoadPackage.LoadPackageParam lpp) throws Throwable
	{
		if (lpp.packageName.equals("com.android.systemui"))
		{
			findAndHookMethod("com.android.systemui.statusbar.policy.Clock", lpp.classLoader, "updateClock", new XC_MethodHook()
			{
				@Override
				protected void afterHookedMethod(MethodHookParam param) throws Throwable
				{
					TextView tv = (TextView) param.thisObject;
					String text = tv.getText().toString();

					tv.setText(no0(text, true));
				}
			});
		}	
	}

	public String no0(String text, boolean first)
	{
		String out = "";
		boolean lastIsNum = false;
		boolean isFirst = true;
		for (int i = 0; i < text.length(); i++)
		{
			if ((first && !isFirst) || lastIsNum || (!lastIsNum && text.charAt(i) != '0'))
			{
				out += text.charAt(i);
			}
			isFirst = false;

			lastIsNum = (text.charAt(i) + "").matches("\\d");
		}

		return out;
	}
}
